# Check if afs is running.  If so turn off xntpd as afs does its own time sync
/sbin/chkconfig --list afs | grep on
if [ $? -eq 0 ] ; then
	/sbin/chkconfig --level 345 xntpd off
	echo "Turned off xntpd because afs is running" >>/etc/$WORKGROUP/after.rpms.log
fi
# Added to enable nfs
/sbin/chkconfig --level 345 nfs on
/sbin/chkconfig --level 345 autofs on
/sbin/chkconfig --level 345 nfslock on
/sbin/chkconfig --level 345 telnet on
/sbin/chkconfig --level 345 ftp on
/sbin/chkconfig --level 345 kshell on

#make KDE the default desktop
rm -rf /etc/sysconfig/desktop
touch /etc/sysconfig/desktop
echo 'DESKTOP = "KDE"' >> /etc/sysconfig/desktop
echo '"startkde"' > /root/.xsession

touch /root/.k5login
echo "jlkaiser@FNAL.GOV" >> /root/.k5login
echo "kschu@FNAL.GOV" >> /root/.k5login
echo "lisa@FNAL.GOV" >> /root/.k5login
echo "merina@FNAL.GOV" >> /root/.k5login
echo "mgreaney@FNAL.GOV" >> /root/.k5login
echo "shepelak@FNAL.GOV" >> /root/.k5login
echo "timm@FNAL.GOV" >> /root/.k5login
echo "stan@FNAL.GOV" >> /root/.k5login
echo "joes@FNAL.GOV" >> /root/.k5login
echo "ettab@FNAL.GOV" >> /root/.k5login
echo "vanconant@FNAL.GOV" >> /root/.k5login
echo "para@FNAL.GOV" >> /root/.k5login
echo "buckley@FNAL.GOV >> /root/.k5login

chmod 600 /root/.k5login

echo "shepelak@fnal.gov" >> /root/.forward

echo "sshdfwd-X11: ALL" >> /etc/hosts.allow
echo "sshd: ALL" >> /etc/hosts.allow 
echo "telnetd: ALL" >> /etc/hosts.allow 
echo "ftpd: ALL" >> /etc/hosts.allow 
echo "terad: abyss.fnal.gov" >> /etc/hosts.allow

echo "Host *" >> /etc/ssh/ssh_config
echo "ForwardX11 yes" >> /etc/ssh/ssh_config

mv /etc/cron.daily/yum.cron /etc/cron.daily/yum.cron.orig
cp /etc/Minos/configfiles/yum.cron /etc/cron.daily/
chown root /etc/cron.daily/yum.cron

mv /etc/log.d/conf/logwatch.conf /etc/log.d/conf/logwatch.conf.orig
cp /etc/Minos/configfiles/logwatch.conf /etc/log.d/conf/
chown root /etc/log.d/conf/logwatch.conf

. /usr/local/etc/setups.sh
setup ups
setup upd
upd install syscollect -G -c -z /local/ups/db
echo "15 2 * * 0   /opt/syscollect/bin/syscollect.sh > /dev/null" >> /var/spool/cron/root

echo "/usr/local/bin/tcsh" >> /etc/shells

chmod o+r /var/log/messages

ln -s /usr/java/j2sdk*/jre/plugin/i386/ns610/libjavaplugin_oji.so /usr/lib/mozilla-*/plugins
